' ==================== RexIn.bas =====================
'
'	This program runs on the Rex stripboard at 4MHz.
'	It receives the PIR output data from Tex and sends
' an appropriate message to the Terminal Window
'
'	Note: "infra" is a built-in variable (actually b13)

' === Directives ===
	#com 5								' specify com port
	#picaxe 08M						' specify PICAXE processor
	#terminal 4800				' specify terminal baud rate

' ================ Begin Main Program ================

low 4										' required by Rex stripboard

do

	infrain2							' wait here for infrared input
	
	If infra = 0 then			' send suitable message to TW
		sertxd ("OK", CR,LF)
	else
		sertxd ("Intruder!", CR,LF)
	endif

loop