' =================== RexTest.bas ====================
'
'	This program runs on the Rex stripboard at 4MHz.
'	It receives IR data from a SIRC TV remote control
' and relays the ASCII digits to the Terminal Window.
'
'	Note: "infra" is a built-in variable (actually b13)

' === Directives ===
	#com 5								' specify com port
	#picaxe 08M						' specify PICAXE processor
	#terminal 4800				' specify terminal baud rate

' ================ Begin Main Program ================

low 4										' required by Rex stripboard

do
	infrain2							' wait here for IR input
	sertxd (#infra,CR,LF)	' send digits to Terminal
	pause 500							' slow down a bit
loop